콘텐츠로 건너뛰기

Wan 2.5 Text to Image

통합

모델 id wan-25-preview/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.05 50 API 크레딧 이 페이지에서 실행

API 키 받기
Alibaba · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

이미지 생성 지침입니다. 2000자로 제한되며 중국어 또는 영어로 작성해야 합니다.

image_size 기본값 square

생성된 이미지의 크기입니다. 총 픽셀 수는 768×768~1440×1440, 가로세로 비율은 1:4~4:1 범위여야 합니다. 크기를 직접 지정하거나 'square' 또는 'landscape_16_9'와 같은 이름이 지정된 프리셋을 선택합니다.

num_images 기본값 1

1~4 범위의 이미지 생성 개수입니다.

고급 negative_prompt · seed · enable_prompt_expansion · enable_safety_checker

원하지 않는 콘텐츠를 지정하는 네거티브 프롬프트입니다. 500자로 제한됩니다.

생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.

POST /run/wan-25-preview/text-to-image?wait=20 견적 → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Wan 2.5 Text to Image 정보

중국어 또는 영어로 작성된 최대 2000자의 텍스트 `prompt`에서 이미지를 생성합니다. `num_images`는 1~4이며, `image_size`는 프리셋 또는 명시적 크기를 받고 전체 픽셀 수는 768x768~1440x1440입니다. LLM으로 프롬프트를 다시 작성하는 프롬프트 확장은 기본적으로 켜져 있습니다. `negative_prompt`와 `seed`도 사용할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
이미지 생성 지침입니다. 2000자로 제한되며 중국어 또는 영어로 작성해야 합니다.
negative_prompt선택 사항
유형string | null
원하지 않는 콘텐츠를 지정하는 네거티브 프롬프트입니다. 500자로 제한됩니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 4
1~4 범위의 이미지 생성 개수입니다.
image_size선택 사항
유형object
기본값square
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
생성된 이미지의 크기입니다. 총 픽셀 수는 768×768~1440×1440, 가로세로 비율은 1:4~4:1 범위여야 합니다. 크기를 직접 지정하거나 'square' 또는 'landscape_16_9'와 같은 이름이 지정된 프리셋을 선택합니다.
enable_prompt_expansion선택 사항
유형boolean
기본값true
LLM 기반 프롬프트 다시 쓰기입니다. 짧은 프롬프트에서 더 나은 결과를 얻는 대신 추가 처리 시간이 필요합니다.
seed선택 사항
유형integer | null
생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사 스위치입니다. 끔 설정에는 계정 인증이 필요합니다. 인증이 없으면 설정과 관계없이 모든 요청을 검사하며, true는 검사기를 활성화합니다.
필수 표준 이름, 사용 가능

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-25-preview/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seeds": [
      42
    ],
    "actual_prompt": "A lone samurai standing on the edge of a cliff at twilight, overlooking a vast valley shrouded in mist. The sky burns with deep orange and purple hues from the setting sun, casting long, dramatic shadows. The samurai’s silhouette glows against the horizon, with their sword reflecting a glint of fading light. The overall style is hyper-realistic, cinematic, and moody, with dramatic contrast and atmospheric depth."
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}모델이 생성한 이미지입니다.
seeds
array of integer개별 이미지를 생성하는 데 사용되는 시드 값입니다.
actual_prompt
string | null다시 쓰기가 활성화되었을 때 실제로 사용되는 프롬프트입니다.

더 많은 모델: 텍스트를 이미지로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/wan-25-preview/text-to-image.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt